<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '2G');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["from"])) //Formato linux timestamp
	$from=$_REQUEST["from"]; else $from=0;
if(isset($_REQUEST["product"])) 
	$product=$_REQUEST["product"]; else $supplier=0;
$discordchannel="883046233017552956";
$resultProducts=[];


function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}
	$objects=[];

	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		  file_get_contents("https://icfbot.ferreteriacampollano.com/message.php?channel=".$discordchannel."&msg=".urlencode(":sos:"."SCRIPT ".basename(__FILE__, '.php').": No se pudo establecer la conexion con Navision"));
	      echo json_encode(["result"=>-11 , "text"=>"No se pudo conectar con Navision"]);
	      die;
	}

		//GET MAX TIMESTAMP
		$maxtimestamp=0;
		$sql = 'SELECT CAST(MAX(TIMESTAMP) AS BIGINT) timestamp FROM [Item]';
		$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt !== false) {
			if($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				$maxtimestamp=$row['timestamp'];
			}
		}	

	/*solo sacamos el primer descuento porque el resto son cero siempre*/
	$sql='SELECT 
	s.[Sales Type] type,
	s.[Sales Code] salescode, 
	s.[Starting Date] startingdate,
	s.[Ending Date] endingdate,
	s.[Unit price UM precio] price,
	s.[Minimum Quantity] quantity
	FROM [Ind. Campollano Ferreterķa S.L$Sales Price] s
	WHERE (s.[Sales Type]=0 OR s.[Sales Type]=2) AND s.[Item No.]=\''.$product.'\'';
	/*$sql='SELECT [Item No.], [Cross-Reference Type No.], [Cross-Reference No.] FROM dbo."Item Cross Reference" WHERE [Cross-Reference Type]=3
	and [Cross-Reference Type No.]=\'C01448\'';*/
	//echo $sql;
	$stmt = sqlsrv_query( $connNavision, $sql );
	if(sqlsrv_errors(SQLSRV_ERR_ERRORS)!==NULL) {
            echo json_encode(["result"=>-12, "text"=>"1 Ocurrio un error en la consulta SQL de Navision"]);
            file_get_contents("https://icfbot.ferreteriacampollano.com/message.php?channel=".$discordchannel."&msg=".urlencode(":sos:"."SCRIPT ".basename(__FILE__, '.php').": No se pudieron obtener los precios tarifa"));
			die;
	}
	if( $stmt !== false) {
			while($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				$temp=[];
				foreach($row as $key=>$object){
					$temp_object[$key]=!is_object($object)?utf8_encode($object):$object;		
					
				}
				$objects[]=$temp_object;
			}
		}
	$prueba["maxtimestamp"]=$maxtimestamp;
	$prueba["class"]=$objects;
	$result[]=$prueba;
echo json_encode($result, JSON_PRETTY_PRINT);
?>